#
# spec file for package hp-hpsa (Version 3.2.0_3)
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#


Name:			hpsa
BuildRequires:	%kernel_module_package_buildreqs
License:		GPLv2+
Group:			System/Kernel
Summary:		HP HPSA driver
Version:		3.2.0_3
Release:		2.1
Source0:		hpsa-%{version}.tar.bz2
Source1:	    COPYING
Patch0:         cross-distro.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%kernel_module_package

%description
This package contains the HP HPSA driver for the HP Smart Array Controllers.

%prep
%setup -n hpsa
%patch0 -p1

cp %_sourcedir/COPYING COPYING

echo "hpsa.ko external" > Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor/drivers/scsi
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR="updates"
for flavor in %flavors_to_build; do
        make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor/drivers/scsi
done
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man4
install -m 644 -D source/man/man4/hpsa.4 $RPM_BUILD_ROOT/%{_mandir}/man4
gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man4/*.?

%files
%defattr(-,root,root)
%{_mandir}/man4/hpsa.4.gz
%doc source/COPYING

%changelog
* Fri Oct 26 2012 sbahling@suse.com
- initial PLDP build hpsa version 3.2.0-3
